Bug 40144 - desktopconv will not compile w/o optimization
Summary: desktopconv will not compile w/o optimization
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-10 20:09 UTC by j. alan eldridge
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-12 07:39:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
include locale.h unconditionally (340 bytes, patch)
2001-05-12 07:39 UTC, j. alan eldridge
no flags Details | Diff

Description j. alan eldridge 2001-05-10 20:09:11 UTC
Description of Problem:

desktopconv references setlocale() and the macro LC_ALL, which require 
inclusion of <locale.h>. When -O2 is given, __OPTIMIZE__ is defined, and 
then <libintl.h> includes <locale.h>. No __OPTIMIZE__, no <locale.h>.

How Reproducible:

Do a rebuild of the kdebase-2.2alpha1 rpm with "--define '%optflags -g'". 
Wait for an hour for it to get to desktopconv. Watch the build die.

Comment 1 j. alan eldridge 2001-05-12 07:39:37 UTC
Created attachment 18187 [details]
include locale.h unconditionally

Comment 2 Bernhard Rosenkraenzer 2001-05-22 17:58:17 UTC
Fixed in 2.2-0.alpha2.2



Note You need to log in before you can comment on or make changes to this bug.